Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.report
Class BenchmarkReport

    java.lang.Object
      org.optaplanner.benchmark.impl.report.BenchmarkReport

    public class BenchmarkReport

extends Object

Field Summary
`static int` | `CHARTED_SCORE_LEVEL_SIZE`

Constructor Summary
`BenchmarkReport(PlannerBenchmarkResult plannerBenchmarkResult)`

Method Summary
`protected void` | `fillWarningList()`
`File` | `getAverageCalculateCountSummaryChartFile()`
`List<File>` | `getBestScorePerTimeSpentSummaryChartFileList()`
`List<File>` | `getBestScoreScalabilitySummaryChartFileList()`
`List<File>` | `getBestScoreSummaryChartFileList()`
`Integer` | `getDefaultShownScoreLevelIndex()`
`File` | `getHtmlOverviewFile()`
`Locale` | `getLocale()`
`PlannerBenchmarkResult` | `getPlannerBenchmarkResult()`
`String` | `getRelativePathToBenchmarkReportDirectory(File file)`
`Comparator<SolverBenchmarkResult>` | `getSolverRankingComparator()`
`SolverRankingWeightFactory` | `getSolverRankingWeightFactory()`
`File` | `getSummaryDirectory()`
`File` | `getTimeSpentScalabilitySummaryChartFile()`
`File` | `getTimeSpentSummaryChartFile()`
`List<String>` | `getWarningList()`
`List<File>` | `getWinningScoreDifferenceSummaryChartFileList()`
`List<File>` | `getWorstScoreDifferencePercentageSummaryChartFileList()`
`void` | `setLocale(Locale locale)`
`void` | `setSolverRankingComparator(Comparator<SolverBenchmarkResult> solverRankingComparator)`
`void` | `setSolverRankingWeightFactory(SolverRankingWeightFactory solverRankingWeightFactory)`
`protected boolean` | `useLogarithmicProblemScale(List<org.jfree.data.xy.XYSeries> seriesList)`
`void` | `writeReport()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHARTED_SCORE_LEVEL_SIZE

    public static final int CHARTED_SCORE_LEVEL_SIZE

See Also:
  Constant Field Values

Constructor Detail

### BenchmarkReport

    public BenchmarkReport(PlannerBenchmarkResult plannerBenchmarkResult)

Method Detail

### getPlannerBenchmarkResult

    public PlannerBenchmarkResult getPlannerBenchmarkResult()

### getLocale

    public Locale getLocale()

### setLocale

    public void setLocale(Locale locale)

### getSolverRankingComparator

    public Comparator<SolverBenchmarkResult> getSolverRankingComparator()

### setSolverRankingComparator

    public void setSolverRankingComparator(Comparator<SolverBenchmarkResult> solverRankingComparator)

### getSolverRankingWeightFactory

    public SolverRankingWeightFactory getSolverRankingWeightFactory()

### setSolverRankingWeightFactory

    public void setSolverRankingWeightFactory(SolverRankingWeightFactory solverRankingWeightFactory)

### getSummaryDirectory

    public File getSummaryDirectory()

### getBestScoreSummaryChartFileList

    public List<File> getBestScoreSummaryChartFileList()

### getBestScoreScalabilitySummaryChartFileList

    public List<File> getBestScoreScalabilitySummaryChartFileList()

### getWinningScoreDifferenceSummaryChartFileList

    public List<File> getWinningScoreDifferenceSummaryChartFileList()

### getWorstScoreDifferencePercentageSummaryChartFileList

    public List<File> getWorstScoreDifferencePercentageSummaryChartFileList()

### getAverageCalculateCountSummaryChartFile

    public File getAverageCalculateCountSummaryChartFile()

### getTimeSpentSummaryChartFile

    public File getTimeSpentSummaryChartFile()

### getTimeSpentScalabilitySummaryChartFile

    public File getTimeSpentScalabilitySummaryChartFile()

### getBestScorePerTimeSpentSummaryChartFileList

    public List<File> getBestScorePerTimeSpentSummaryChartFileList()

### getDefaultShownScoreLevelIndex

    public Integer getDefaultShownScoreLevelIndex()

### getWarningList

    public List<String> getWarningList()

### getHtmlOverviewFile

    public File getHtmlOverviewFile()

### getRelativePathToBenchmarkReportDirectory

    public String getRelativePathToBenchmarkReportDirectory(File file)

### writeReport

    public void writeReport()

### fillWarningList

    protected void fillWarningList()

### useLogarithmicProblemScale

    protected boolean useLogarithmicProblemScale(List<org.jfree.data.xy.XYSeries> seriesList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.